# afgor-ui
[![Gem Version](https://badge.fury.io/rb/afgor-ui.svg)](http://badge.fury.io/rb/afgor-ui)

A simple framework by afgor.com, created for designing web apps and simple websites. Has some nice effects and is fully flat.

So how to use it in your project

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'afgor-ui'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install afgor-ui

## Usage

To include **afgor-ui** in your project you need to add some simple lines in your `index.html`

Firstly add the main `css` file of **afgor-ui**

``` css
  @import 'afgor-ui.css'
```

Then you need to add a *js* file to make those lovely effects work, this could be done by adding the line below

to your `application.js` files

``` html
  //= require afgor-ui
```

and you also need some additional libraries to include manualy

``` html
<script src="//code.jquery.com/jquery-1.11.3.min.js"></script>
<script src="http://cdnjs.cloudflare.com/ajax/libs/gsap/latest/TweenMax.min.js"></script>
<script src="http://cdnjs.cloudflare.com/ajax/libs/gsap/latest/jquery.gsap.min.js"></script>
````

in the end of your document.

And now the main thing is done!

If you want to use **afgor-ui-grid** you should include the next css file

``` css
@import 'afgor-ui-grid.css'
```

So this is it! Just use. More about elements you can find at GitHub Wiki Page.

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/evenfly-framework.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
